//------------------------------
//Opis uycia:
//
//Utwrz zegar funkcj createClock() opcjonalnie podajc jego pooenie i wymiary (left, top, height, width)
//Utwrz obiekt zakadki podajc: nazw warstwy, wysoko zawartoci, plik ta, zawarto zakadki,
// szeroko obrazka tytuu, nazw obrazka tytuu.
//Przykad:   
// bm = new bookmark('data', 70, "images/Bg.gif", 'data', 40,"images/dataTitle.gif");
//
//Zakadki s dodawane od strony prawej do lewej.
//Po utworzeniu WSZYSTKICH zakadek wywoaj funkcj initBookmarks(). 
//
//Aby zegar zacz wywietla aktualny czas wywoaj funkcj clockTick().
//(Ew. aby uaktualni zakadk daty wywoaj funkcj dateTick())
//
//Funkcj : setBookmarkHTML() mona przypisa nowy tekst do zawartoci zakadki
//Funkcj : setBookmarkHeight() mona zmieni wysoko zakadki(WYWOUJ TYLKO WTEDY GDY ZAKADKA JEST SCHOWANA)
//
//Wygld(kolor) zegarka i zakadek naley ustawi zmieniajc style odpowiednio:
//elementu clock i klasy bookmark w arkuszu stylw.
//
//uwagi: Zegar dziaa pod przegldark MSIE6

var MAX_BOOKMARKS = 20;
var activeBookmark ='';
var exposed = false;
var bookmarks = new Array(MAX_BOOKMARKS);

var clockX = 120;
var clockY = 20;
var clockH = 20;
var clockW = 140;
var clockZIndex = 100;

var bmCount = 0;
var bmTitleH = 15;
var bmTitleW = 40;
var bmZIndex = 10;
var bmActiveZIndex = 15;
var dateValue = '';
var nameDay = '';

function clockTick () {
	var time = new Date();
	var hours = time.getHours();
	var minutes = time.getMinutes();
	var seconds = time.getSeconds()
	var timeValue = "" + ((hours >12) ? hours -12 :hours)
	timeValue += ((minutes < 10) ? ":0" : ":") + minutes
	timeValue += ((seconds < 10) ? ":0" : ":") + seconds
	timeValue += (hours >= 12) ? " p.m." : " a.m."
	layers['clock'].html("Jest : " +timeValue);
	timerID = setTimeout("clockTick()",1000);

	if(hours==0 && minutes == 0) 
		dataTick();
}
function dataTick () {
	var time = new Date();
		
	nameDay = setNameDay();
	dateValue = "Data : " + time.getDate() + "." + time.getMonth()+"." +  time.getYear() + "r.";
	layers['data'].html(""+dateValue+'<BR><DIV style="color:#555555;">Imieniny :</DIV>'+nameDay+"</BR>");
}

function createLayer(id, classname, left, top, height, width, vis, zidx, content, bgImg){
	if(ns4)	{
		document.writeln('<LAYER name="'+id+'" left='+left+' top='+top+' width='+width+'px height='+height+'visibility="'+vis+'" z-index='+zidx+'  >'+content+'</LAYER>');
	}else{
		document.writeln('<DIV id="'+id+'" class="'+classname+'" style="position:absolute; verflow:none; left:'+
		left+'px; top:'+top+'px; width:'+width+'px; height:'+height+'; visibility:'+vis+
		'; z-index:'+zidx+'; background-image:url('+bgImg+');" >'+content+'</DIV>');		  
	}	   					 
}

function createClock(x, y, h, w){
    if(x) clockX = x;
	if(y)clockY = y;
	if(h)clockH = h;
	if(w)clockW = w; 
	createLayer('clock', '',clockX, clockY, clockH,clockW, 'visible', clockZIndex, 'time' );
}

function bookmark(name, height, bgImg, content, titleW, titleImg){
	bookmarks[bmCount] = this;
	this.contentId = name;
	this.height = height;
	this.width = clockW;
	this.titleId = name + 'Title';
	this.xPos = clockX;
	this.yPos = clockY - height + clockH;
	this.xTitle = clockX + clockW - titleW;
	this.setHTML = setBookmarkHTML;
	this.setHeight = setBookmarkHeight;
	for(i=0; i < bmCount; i++){
	 this.xTitle = this.xTitle - bookmarks[i].TitleW;
	}
	this.yTitle = this.yPos + this.height;
	this.TitleW = titleW;
	createLayer(this.contentId, 'bookmark', this.xPos, this.yPos, this.height, this.width, 'visible', bmZIndex, content, bgImg);
	var onclick = "var dir = (activeBookmark != '"+name+"')? true: false;" +
				  "activeBookmark = '"+name+"';"+
				  "dir?slideDownBookmark() : slideUpBookmark()"; 	  //((activeBookmark == '"+name+"')? '':'  
	var titleContent = '<IMG src="'+ titleImg +'" width="'+this.TitleW+'" height="'+bmTitleH+'" BORDER="0" ALT="'+name+
	'" onClick = "'+ onclick +'">';
	createLayer(this.titleId, '',this.xTitle, this.yTitle, bmTitleH, this.TitleW, 'visible', bmZIndex,  titleContent);
	
	bmCount++;
}

function setBookmarkHTML(text){
	layers[this.contentId].html(text);
}

function setBookmarkHeight(newHeight){
	if(newHeight){
		this.height = newHeight;
		this.yPos = clockY - newHeight + clockH;
		layers[this.contentId].pos(layers[this.contentId].x, clockY - newHeight + clockH);
		layers[this.contentId].style.height = newHeight;
	}
}
function slideDownBookmark(){
	var step = 5;
	if(activeBookmark != ''){
		layers[activeBookmark].style.zIndex = bmActiveZIndex; 
		if(layers[activeBookmark].y < clockY + clockH){
		   layers[activeBookmark].move(0,step);
		   setActiveBookmarkClip();
		   layers[activeBookmark + 'Title'].move(0, step);
		   //step -= (step > 4)? 3: 0; 
		   setTimeout('slideDownBookmark()', 20);
		   return;
		}
		exposed = true;
	}
}
function slideUpBookmark(){
	var step = 5;
	var height = parseInt(layers[activeBookmark].style.height);
	if(exposed){
		if(layers[activeBookmark].y + height > clockY + clockH){
		   //step -= (step > 4)? 3: 0; 
		   layers[activeBookmark].move(0,-step);
		   setActiveBookmarkClip();
		   layers[activeBookmark + 'Title'].move(0,-step);
		   setTimeout('slideUpBookmark()', 20);
		   return;
		}else{
		   exposed = false;
		   layers[activeBookmark].style.zIndex = bmZIndex; 
		   activeBookmark = '';
		}
	}
}
function setActiveBookmarkClip(){
	var height = parseInt(layers[activeBookmark].style.height);
	var width = parseInt(layers[activeBookmark].style.width);
	var clipUp = height-(layers[activeBookmark].y + height - clockY - clockH);
	var clipDown = height;
    
	layers[activeBookmark].clip(clipUp,0,clipDown, width);
}

function initBookmarks(){
    init();
	for(i=0; i < bmCount; i++){
			 if(bookmarks[i]){
			 with(bookmarks[i]){
			 		layers[contentId].pos(xPos, yPos);
					layers[contentId].clip(0,height,width,height);
					layers[titleId].pos(xTitle, yTitle);
					layers[titleId].style.cursor = "hand";
				}
			}	
	}
}
